# Run tests in check section
# disabled: it needs a ftp server running for the tests
%bcond_with check

%global goipath         github.com/jlaffaye/ftp
%global commit          9284a88df536a8e9d80846c718efeeda5e56b898

%gometa

%global common_description %{expand:
A FTP client package for Go.}

Name:           %{goname}
Version:        0
Release:        0.9%{?dist}
Summary:        FTP client package for Go

License:        ISC
URL:            %{gourl}
Source0:        %{gosource}

%if %{with check}
# Tests
BuildRequires:  golang(github.com/stretchr/testify/assert)
%endif

%description
%{common_description}

%package devel
Summary:       %{summary}
BuildArch:     noarch

%description devel
%{common_description}

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.

%prep
%forgeautosetup -p1

%install
%goinstall

%if %{with check}
%check
%gochecks
%endif

%files devel -f devel.file-list
%license LICENSE
%doc README.md

%changelog
* Tue May 28 22:48:45 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.9.20190528git9284a88
- Bump to commit 9284a88df536a8e9d80846c718efeeda5e56b898

* Mon Feb 25 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.8.20190225git8019e67
- Bump to commit 8019e6774408f0ef24753bccba660ae36ff4038d

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.7.git2403248
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Oct 23 2018 Nicolas Mailhot <nim@fedoraproject.org> - 0-0.6.git2403248
- redhat-rpm-config-123 triggers bugs in gosetup, remove it from Go spec files as it’s just an alias
- https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/RWD5YATAYAFWKIDZBB7EB6N5DAO4ZKFM/

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.5.git2403248
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jun 28 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.4.20180628git2403248
- Bump to commit 2403248fa8cc9f7909862627aa7337f13f8e0bf1

* Thu Mar 08 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.3.20180314git4274679
- Update with the new Go packaging
- Upstream GIT revision 4274679

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.2.20170927git299b7ff
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Dec 07 2017 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.1.20170927git299b7ff
- Upstream GIT revision 299b7ff

* Mon Jul 24 2017 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.1.20170721git769512c
- First package for Fedora

